--
-- $Id$
--
-- Customer specific once-script UWVA106.

DEFINE thisfile = 'UWVA106.SQL'
DEFINE dbuser   = '^UWVA'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

-- UWVA#38918: eenmalig alle 000-ruimten prefixen met een underscore!
UPDATE alg_ruimte
   SET alg_ruimte_nr = '_' || alg_ruimte_nr
 WHERE alg_ruimte_verwijder IS NULL
   AND alg_ruimte_nr = '000';

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 0); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile

@@uwva_prs.sql
@@uwva_fin.sql
@@uwva_hv.sql
@@uwva_misc.sql
